Skip to main content
GET
/
sms
/
batch
/
{batch_id}
SMS 배치 상태 조회
curl --request GET \
  --url https://client-api.tryvox.co/v3/sms/batch/{batch_id} \
  --header 'Authorization: Bearer <token>'
{
  "batch_id": "<string>",
  "total_count": 1,
  "success_count": 1,
  "failure_count": 1,
  "pending_count": 1,
  "created_at": 123,
  "items": [
    {
      "index": 1,
      "to_number": "<string>",
      "sms_message_id": "<string>",
      "error": {
        "code": "<string>",
        "message": "<string>",
        "details": {}
      },
      "metadata": {}
    }
  ],
  "title": "<string>",
  "finished_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryvox.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.

Path Parameters

batch_id
string
required

Response

성공 응답

GET /v3/sms/batch/{batch_id} 응답.

batch_id
string
required

고유 배치 식별자입니다. (UUID)

status
enum<string>
required

배치 캠페인 상태입니다.

Available options:
pending,
ongoing,
success,
fail
total_count
integer
required

전체 항목 수입니다.

Required range: x >= 0
success_count
integer
required

발송 완료된 항목 수입니다.

Required range: x >= 0
failure_count
integer
required

실패한 항목 수입니다.

Required range: x >= 0
pending_count
integer
required

대기 중(아직 발송되지 않은) 항목 수입니다.

Required range: x >= 0
created_at
integer
required

리소스 생성 시각이며, 밀리초 단위 unix timestamp입니다.

items
SMSBatchItemStatus · object[]
required

항목별 상태 목록입니다.

title
string | null

배치 레벨 라벨입니다.

finished_at
integer | null

배치 완료 시각이며, 밀리초 단위 unix timestamp입니다. 없으면 null입니다.